Upstream information

CVE-2007-6352 at MITRE

Description

Integer overflow in libexif 0.6.16 and earlier allows context-dependent attackers to execute arbitrary code via an image with crafted EXIF tags, possibly involving the exif_data_load_data_thumbnail function in exif-data.c.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 348748 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP1
  • libexif >= 0.6.17-2.12
  • libexif-32bit >= 0.6.17-2.12
  • libexif-x86 >= 0.6.17-2.12
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA libexif
SUSE Linux Enterprise Server 11 SP2
  • libexif >= 0.6.17-2.12
  • libexif-32bit >= 0.6.17-2.12
  • libexif-x86 >= 0.6.17-2.12
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA libexif
SUSE Linux Enterprise Server 11 SP3
  • libexif >= 0.6.17-2.14.1
  • libexif-32bit >= 0.6.17-2.14.1
  • libexif-x86 >= 0.6.17-2.14.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libexif
SUSE Linux Enterprise Server 11 SP4
  • libexif >= 0.6.17-2.14.1
  • libexif-32bit >= 0.6.17-2.14.1
  • libexif-x86 >= 0.6.17-2.14.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libexif
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libexif-devel >= 0.6.17-2.14.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libexif-devel
Novell Linux Desktop 9 for x86
Open Enterprise Server
  • libexif >= 0.5.12-118.12
sled10.x86
core9.x86
core9.s390
sles10.s390x
ZYPP Patch Nr: 4884
Novell Linux Desktop 9 for x86_64
  • libexif >= 0.5.12-118.12
  • libexif-32bit >= 9-200801091453
sled10.x86
core9.x86
core9.s390
sles10.s390x
ZYPP Patch Nr: 4884
SUSE LINUX 10.1
  • libexif5 >= 0.5.12-17.10
SUSE LINUX 10.1
  • libexif >= 0.6.13-20.9
  • libexif-32bit >= 0.6.13-20.9
  • libexif-64bit >= 0.6.13-20.9